Page MenuHomePhabricator

Just clicking on the empty space around should not change the type of block radio button selection
Closed, ResolvedPublic2 Story Points

Description

I feel this is a bit inconvenient and has the risk of accidentally changing the block type. It's also inconsistent with other OOUIfied pages we have for example: Special:Preferences.

Seems like on Special:Block we are using oo-ui-radioSelectWidget but that's not the case with Special: Preferences?

Special:Block

Special:Preferences


Acceptance criteria

  • Clicking to the right of the radio button text (on LTR languages should not toggle the radio button
  • in other words... Only clicking the radio button (and its immediate hitbox) and the label text should toggle the radio button

Event Timeline

Ryasmeen created this task.Nov 1 2018, 9:24 PM
Restricted Application added subscribers: MGChecker, Aklapper. ยท View Herald TranscriptNov 1 2018, 9:24 PM
dbarratt added a subscriber: dbarratt.

I think this might be because the label is extending all the way to the right?

TBolliger triaged this task as Low priority.Nov 2 2018, 4:22 PM

Appears that's the case, David. I understand we probably want the hitbox to be large enough for accessibility needs, but so far out seems unnecessary. Maybe we can fix with T202773: Update Special:Block to match the design ?

Appears that's the case, David. I understand we probably want the hitbox to be large enough for accessibility needs, but so far out seems unnecessary. Maybe we can fix with T202773: Update Special:Block to match the design ?

One could argue that it is acceptable the way it is, but the alternative would be to make it the width of the text (which I think is the default for most browsers which we are probably overriding somewhere).

aezell added a subscriber: aezell.Nov 2 2018, 5:15 PM

I'd go with making it the width of the text.

That's how it works on Special:Preferences and I believe this is a standard interaction.

TBolliger updated the task description. (Show Details)Nov 15 2018, 6:07 PM
TBolliger set the point value for this task to 2.Nov 15 2018, 7:54 PM
dbarratt claimed this task.Apr 4 2019, 3:26 PM
dbarratt moved this task from Ready to In Progress on the Anti-Harassment (Zayin - ื–) board.

Change 501349 had a related patch set uploaded (by Dbarratt; owner: Dbarratt):
[mediawiki/core@master] Remove full-width radio buttons to bring consistency with checkboxes

https://gerrit.wikimedia.org/r/501349

Change 501349 abandoned by Dbarratt:
Remove full-width radio buttons to bring consistency with checkboxes

https://gerrit.wikimedia.org/r/501349

Change 501352 had a related patch set uploaded (by Dbarratt; owner: Dbarratt):
[oojs/ui@master] Remove full-width radio buttons to bring consistency with checkboxes

https://gerrit.wikimedia.org/r/501352

Volker_E moved this task from Backlog to Reviewing on the OOUI board.Apr 8 2019, 4:21 PM

Change 501352 merged by jenkins-bot:
[oojs/ui@master] Remove full-width radio buttons to bring consistency with checkboxes

https://gerrit.wikimedia.org/r/501352

Change 504473 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] Update OOUI to v0.31.4

https://gerrit.wikimedia.org/r/504473

Change 504473 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.31.4

https://gerrit.wikimedia.org/r/504473

Volker_E moved this task from Reviewing to OOUI-0.31.4 on the OOUI board.Apr 17 2019, 5:18 AM
Volker_E edited projects, added OOUI (OOUI-0.31.4); removed OOUI.
dom_walden added a subscriber: dom_walden.

One line CSS change.

You now have to click on the radio button's label (or, from the user's perspective, the text associated with the radio button incl. the inline help text).

dbarratt closed this task as Resolved.Apr 19 2019, 4:12 PM
Restricted Application added a project: User-Ryasmeen. ยท View Herald TranscriptApr 19 2019, 4:12 PM